Bug 120020 - Cups unstable when print using USB Printer
Cups unstable when print using USB Printer
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-05 04:56 EDT by Frans Thamura
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-20 04:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frans Thamura 2004-04-05 04:56:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
I use default cups from Fedora Core 1, and I try to print a test page
using 2 printer, 1 HP Deskjet 845c and HP LaserJet 1000. I try HPLJ
1000, and they always said media tray empty, that is silly, the paper
is in the tray.

I try HP 845c, same, cannot print, but when i change to 895c, the test
work, but when I try to print. using gedit, the paper is not working,
cannot print to it.

Several people in the chat room said, must install from source.

I think this is not a good statement.

I can guarrantee the USB is work well, but I think there is a bugs
also in USB driver, if the cups is stable.

Version-Release number of selected component (if applicable):
cups-default

How reproducible:
Always

Steps to Reproduce:
1. run redhat-config-printer
2. select printer
3. click test cups page
    

Actual Results:  cannot print, and the error is media tray empty

Expected Results:  test page show up

Additional info:
Comment 1 Tim Waugh 2004-04-05 04:57:58 EDT
'media tray empty' is a kernel bug.
Comment 2 Pete Zaitcev 2004-08-19 19:01:30 EDT
This has to be resolved down to results of "cat > /dev/usb/lp0"
and its results, or an strace output before I can figured it out.
Comment 3 Tim Waugh 2004-08-20 04:29:26 EDT
Hmm, I retract comment #1 -- while I had always been led to believe
that it was a kernel bug, it turned out to be a misinterpretation of
status bits on the part of the CUPS USB backend.

However, the 'media tray empty' message is harmless and does not cause
any other symptom.

Note You need to log in before you can comment on or make changes to this bug.